classification
Title: RPM build lacks ability to include other files similar to doc_files
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.7, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, eric.araujo, kushal.das, ncoghlan, steve.dower, warthog9
Priority: normal Keywords:

Created on 2017-07-13 17:58 by warthog9, last changed 2021-02-03 18:21 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 591 open warthog9, 2017-07-13 17:58
Messages (2)
msg298303 - (view) Author: John 'Warthog9' Hawley (warthog9) * Date: 2017-07-13 17:58
Duplicate doc-files functionality, to inject files into bdist_rpm

Enhancement to allow for files that are built outside of what's expected in setup.py to be injected into the bdist files_rpm listing so they are included in the resulting RPM.  This effectively duplicates the doc-files functionality, but adds it as additional files to be included.
msg386350 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:21
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:21:23steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386350

resolution: out of date
stage: resolved
2017-07-14 03:54:14ncoghlansetnosy: + kushal.das
2017-07-13 18:33:56ned.deilysetnosy: + ncoghlan
2017-07-13 18:33:41ned.deilysetnosy: + eric.araujo, dstufft
components: + Distutils
2017-07-13 17:58:48warthog9create